package com.jd.lightapplication.easemob.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 环信分页查询的入参
 */
@Data
@Accessors(chain = true)
public class QueryPageDto {
    @ApiModelProperty("获取用户的数量")
    private String limit;
    @ApiModelProperty("游标，上一次分页查询之后返回的cursor值")
    private String cursor;
}
