package com.jd.lightapplication.model;

import java.io.Serializable;
import java.util.Date;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel("故障处理记录")
@TableName("fault_handling_record")
public class FaultHandlingRecord implements Serializable {
	private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty("故障标题")
    @TableField("title")
    private String title;

    @ApiModelProperty("故障内容")
    @TableField("content")
    private String content;

    @ApiModelProperty("处理方式")
    @TableField("treatment_method")
    private String treatmentMethod;

    @ApiModelProperty("处理人员")
    @TableField("treatment_personnel")
    private String treatmentPersonnel;

    @ApiModelProperty("提出人员")
    @TableField("propose_personnel")
    private String proposePersonnel;

    @ApiModelProperty("10：未处理 20：已处理")
    @TableField("status")
    private Integer status;

    @ApiModelProperty("创建时间")
    @TableField("create_time")
    private String createTime;

    @ApiModelProperty("修改时间")
    @TableField("update_time")
    private String updateTime;

}
