package com.jd.lightapplication.model;

import java.io.Serializable;
import java.util.Date;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;


@Data
@ApiModel("巡检模板表")
@TableName("inspection_template")
@Accessors(chain = true)
public class InspectionTemplate implements Serializable {
	private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("模板名称")
    @TableField("name")
    private String name;

    @ApiModelProperty("模板类型 10：日常巡检 20：会议巡检")
    @TableField("type")
    private Integer type;

    @ApiModelProperty("是否启用 10：启用 20：禁用")
    @TableField("is_enable")
    private Integer isEnable;

    @ApiModelProperty("创建时间")
    @TableField("create_time")
    private String createTime;

    @ApiModelProperty("修改时间")
    @TableField("update_time")
    private String updateTime;

}
