package com.jd.lightapplication.model;

import java.io.Serializable;
import java.util.Date;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;


@Data
@ApiModel("巡检模板&巡检项目关联表")
@TableName("inspection_template_project")
@Accessors(chain = true)
public class InspectionTemplateProject implements Serializable {
	private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("关联模板id")
    @TableField("template_id")
    private Long templateId;

    @ApiModelProperty("巡检项目id")
    @TableField("project_id")
    private Long projectId;

    @ApiModelProperty("创建时间")
    @TableField("create_time")
    private String createTime;

}
