package com.jd.lightapplication.model;

import java.io.Serializable;
import java.util.Date;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel("参会人员")
@TableName("meeting_personnel")
public class MeetingPersonnel implements Serializable {
	private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("会议id")
    @TableField("meeting_id")
    private Long meetingId;

    @ApiModelProperty("参会人员名称")
    @TableField("name")
    private String name;

    @ApiModelProperty("参会人员电话号码")
    @TableField("phone")
    private String phone;

    @ApiModelProperty("创建时间")
    @TableField("create_time")
    private String createTime;

}
