package com.jd.lightapplication.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;


@Data
@ApiModel("用户&角色关联表")
@TableName("sys_user_role")
@Accessors(chain = true)
public class SysUserRole implements Serializable {
	private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("")
    @TableField("user_id")
    private long userId;

    @ApiModelProperty("")
    @TableField("role_id")
    private long roleId;

}
