package com.jd.lightapplication.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class InspectionRecordAddDto {
    @ApiModelProperty("关联会议id")
    private Long meetingId;

    @ApiModelProperty("巡检人员")
    private String inspectionPersonnel;

    @ApiModelProperty("巡检类型（10：日常巡检，20：会前巡检，30：会中巡检，40：会后巡检）")
    private Integer inspectionType;

    @ApiModelProperty("巡检结果集合")
    private List<InspectionRecordResultAddDto> InspectionResultList;

}
