package com.jd.lightapplication.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.jd.lightapplication.model.UploadRecord;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class InspectionResultVo {
    private Long id;

    @ApiModelProperty("关联巡检记录id")
    private Long inspectionRecordId;

    @ApiModelProperty("关联巡检项目id")
    private Long inspectionProjectId;

    @ApiModelProperty("关联巡检项目名称")
    private String inspectionProjectName;

    @ApiModelProperty("巡检结果类型（10：正常 20：不正常）")
    private Integer result;

    @ApiModelProperty("巡检结果描述")
    private String remark;

    @ApiModelProperty("创建时间")
    private String createTime;

    @ApiModelProperty("文件列表")
    private List<UploadRecord> fileList;
}
