package com.jd.lightapplication.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 短信相关配置
 */
@Data
@Component
public class SmsConfig {

    @Value("${sms.sms_name}")
    private String smsName;

    @Value("${sms.sms_apid}")
    private String smsApid;

    @Value("${sms.sms_secret}")
    private String smsSecret;

    @Value("${sms.sms_sign}")
    private String smsSign;

    @Value("${sms.sms_url}")
    private String smsUrl;

    @Value("${sms.sms_content}")
    private String smsContent;
}
