package com.jd.lightapplication.easemob.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 设置用户属性的入参 除了username外，其他属性可任意设置。注意属性和值对应
 */
@Data
@Accessors(chain = true)
public class SetUserAttributeDto {
    @ApiModelProperty("用户id")
    private String username;
    @ApiModelProperty("用户昵称")
    private String nickname;
    @ApiModelProperty("头像地址")
    private String avatarurl;
    @ApiModelProperty("邮箱")
    private String mail;
    @ApiModelProperty("手机号")
    private String phone;
    @ApiModelProperty("性别")
    private String gender;
    @ApiModelProperty("生日")
    private String birth;
    @ApiModelProperty("签名")
    private String sign;
    @ApiModelProperty("")
    private String ext;
}
