package com.jd.lightapplication.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jd.lightapplication.model.UploadRecord;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.List;

public interface UploadRecordMapper extends BaseMapper<UploadRecord> {

    @Update("UPDATE upload_record SET inspection_result_id = #{inspectionResultId} WHERE id IN (${fileIds})")
    Boolean updateBatch(@Param("fileIds") String fileIds, @Param("inspectionResultId") Long inspectionResultId);
}
