package com.jd.lightapplication.model;

import java.io.Serializable;
import java.util.Date;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel("议程安排")
@TableName("meeting_arrange")
public class MeetingArrange implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("会议id")
    @TableField("meeting_id")
    private Long meetingId;

    @ApiModelProperty("开始时间")
    @TableField("start_time")
    private String startTime;

    @ApiModelProperty("结束时间")
    @TableField("end_time")
    private String endTime;

    @ApiModelProperty("议程名称")
    @TableField("title")
    private String title;

    @ApiModelProperty("议程描述")
    @TableField("remark")
    private String remark;

    @ApiModelProperty("排序号")
    @TableField("sort")
    private Integer sort;

    @ApiModelProperty("创建时间")
    @TableField("create_time")
    private String createTime;

}
