package com.jd.lightapplication.model.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class InspectionTemplateAddOrUpdateDto {

    private Long id;

    @ApiModelProperty("模板名称")
    private String name;

    @ApiModelProperty("模板类型 10：日常巡检 20：会议巡检")
    private Integer type;

    @ApiModelProperty("是否启用 10：启用 20：禁用")
    private Integer isEnable;

    @ApiModelProperty("巡检项目id集合")
    private List<Long> inspectionProjectIds;
}
