package com.jd.lightapplication.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SysUserUpdateDto {
    private Long id;

    @ApiModelProperty("用户名称(显示名称)")
    private String usernameShow;

    @ApiModelProperty("普通用户昵称")
    private String nickName;

    @ApiModelProperty("用户头像，最后一个数值代表正方形头像大小（有0、46、64、96、132数值可选，0代表640*640正方形头像），用户没有头像时该项为空")
    private String headImgUrl;
}
