package com.jd.lightapplication.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class InspectionRecordVo {

    private Long id;

    @ApiModelProperty("关联会议id")
    private Long meetingId;

    @ApiModelProperty("巡检人员")
    private String inspectionPersonnel;

    @ApiModelProperty("正常项目个数")
    private Integer normalNum;

    @ApiModelProperty("异常项目个数")
    private Integer errorNum;

    @ApiModelProperty("巡检类型（10：日常巡检，20：会前巡检，30：会中巡检，40：会后巡检）")
    private Integer inspectionType;

    @ApiModelProperty("创建时间")
    private String createTime;

    @ApiModelProperty("修改时间")
    private String updateTime;

    @ApiModelProperty("巡检结果列表")
    List<InspectionResultVo> inspectionResultVoList;
}
